<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.chinacreator.video.restful.dao.CdnSendSmsDao" >


    <select id="findByUserid" resultType="java.lang.Integer">
        select  count(1) from  TB_CDN_SMS_BLACK where userid=#{userid} and (channel=#{channel} or channel is  null) and status='0'
    </select>
</mapper>